<?php

class actionRotatorbannersStat extends cmsAction {
    
    public function run($position_id = false) {
        
        if (!$position_id) { cmsCore::error404(); }
        
        $position = $this->model->getPosition($position_id);
        
        if (!$position['id']) { cmsCore::error404(); }

        $banner_id = $this->request->get('id');

        if (!$banner_id) { cmsCore::error404(); }

        $banner_hash = $this->request->get('hash');

        if (!$banner_hash) { cmsCore::error404(); }

        if (md5($position_id.'rotatorbanners'.$banner_id) != $banner_hash) { cmsCore::error404(); }

        $banner = $this->model->getBanner($banner_id);

        if (!$banner) { cmsCore::error404(); }
        
        $template = cmsTemplate::getInstance();
        
        $template->render('stat', array(
            'banner' => $banner
        ));
        
    }
    
}