<?php

class formRotatorbannersBanner extends cmsForm {
	
	public function init(){
		
		return array(
			
			array(
				'type' => 'fieldset',
				'childs' => array(
					
					new fieldString('title', array(
						'title' => LANG_ROTATORBANNERS_BANNERS_TITLE,
						'rules' => array(
							array('required'),
							array('max_length', 100),
							array('min_length', 5)
						)
					)),
					
					new fieldUrl('url', array(
						'title' => LANG_ROTATORBANNERS_BANNERS_URL,
						'hint' => LANG_ROTATORBANNERS_BANNERS_URL_HINT
					)),
					
					new fieldImage('file', array(
						'title' => LANG_ROTATORBANNERS_BANNERS_FILE,
						'options' => array(
							'sizes' => array('small', 'original')
						),
						'rules' => array(
							array('required')
						),
						'hint' => LANG_ROTATORBANNERS_BANNERS_FILE_HINT,
					)),

					new fieldText('html', array(
                        'title' => LANG_ROTATORBANNERS_BANNERS_HTML,
						'hint' => LANG_ROTATORBANNERS_BANNERS_HTML_HINT,
                    )),
					
					new fieldDate('date_start', array(
						'title' => LANG_ROTATORBANNERS_BANNERS_DATE_START,
						'options' => array(
							'show_time' => true
						),
							'rules' => array(
							array('required')
						)
					)),
					
					new fieldDate('date_end', array(
						'title' => LANG_ROTATORBANNERS_BANNERS_DATE_END,
						'options' => array(
							'show_time' => true
						),
						'rules' => array(
							array('required')
						)
					)),
					
					new fieldNumber('max_display', array(
						'title' => LANG_ROTATORBANNERS_BANNERS_MAX_DISPLAY,
						'default' => 0,
						'hint' => LANG_ROTATORBANNERS_BANNERS_MAX_DISPLAY_HINT,
					)),
					
					new fieldNumber('max_clicks', array(
						'title' => LANG_ROTATORBANNERS_BANNERS_MAX_CLICKS,
						'default' => 0,
						'hint' => LANG_ROTATORBANNERS_BANNERS_MAX_DISPLAY_HINT,
					)),

					new fieldList('align', array(
						'title' => LANG_ROTATORBANNERS_BANNERS_ALIGN,
						'items' => array(
							'left' => LANG_ROTATORBANNERS_BANNERS_ALIGN_LEFT,
							'center' => LANG_ROTATORBANNERS_BANNERS_ALIGN_CENTER,
							'right' => LANG_ROTATORBANNERS_BANNERS_ALIGN_RIGHT,
						)
					)),
					
					new fieldCheckbox('is_public', array(
						'title' => LANG_ROTATORBANNERS_BANNERS_IS_PUBLIC,
						'hint' => LANG_ROTATORBANNERS_BANNERS_IS_PUBLIC_HINT,
						'default' => 1
					)),

					new fieldCheckbox('is_blank', array(
						'title' => LANG_ROTATORBANNERS_BANNERS_IS_BLANK,
						'default' => 0
					))
					
				)
				
			)
			
		);
		
	}
	
}

