<?php

class formWidgetRotatorbannersBannerOptions extends cmsForm {

    public function init() {

        return array(

            array(
                'type' => 'fieldset',
                'title' => LANG_OPTIONS,
                'childs' => array(

                    new fieldList('options:position_id', array(
                        'title' => LANG_WD_ROTATORBANNERS_BANNER_POSITION,
                        'generator' => function($item) {

                            $model = cmsCore::getModel('rotatorbanners');
                            $tree = $model->getPositions();

                            $items = array();

                            if ($tree) {
                                foreach ($tree as $item) {
                                    $items[$item['id']] = $item['title'];
                                }
                            }

                            return $items;

                        }
                    )),
                            
                    new fieldNumber('options:width', array(
                        'title' => LANG_WD_ROTATORBANNERS_BANNER_WIDTH,
                        'hint' => LANG_WD_ROTATORBANNERS_BANNER_NOT_REQUIRED
                    )),
                            
                    new fieldNumber('options:height', array(
                        'title' => LANG_WD_ROTATORBANNERS_BANNER_HEIGHT,
                        'hint' => LANG_WD_ROTATORBANNERS_BANNER_NOT_REQUIRED
                    )),

                )
            ),

        );

    }

}
