<?php

class widgetRotatorbannersBanner extends cmsWidget {

    public function run(){
        
        $this->is_title = false;
        $this->disableCache();
        
        $position_id = $this->getOption('position_id');
        $width = $this->getOption('width');
        $height = $this->getOption('height');
        
        $model = cmsCore::getModel('rotatorbanners');
        $banner = $model->getBannerShow($position_id);
		
		$this->css_class = 'wg_banner id'.$banner['id'];
        
        if (!$banner) { return false; }
        
        if ($banner) {       
            
            $model->setBannerHit($banner['id']);
            
            return array(
                'banner' => $banner,
                'width' => $width,
                'height' => $height
            );
        }

    }

}

