<?php
    
    if (!cmsUser::isAdmin()) { cmsCore::error404(); }

    $this->setPageTitle(LANG_ROTATORBANNERS_CONTROLLER);
    $this->addBreadcrumb(LANG_ROTATORBANNERS_CONTROLLER);
    
    if (cmsUser::isAdmin()){
    
        $this->addToolButton(array(
           'class' => 'add', 
           'title' => LANG_ROTATORBANNERS_POSITIONS_ADD,
           'href' => $this->href_to('addposition')
        ));
    
        
    }

?>

<h1><?php echo LANG_ROTATORBANNERS_CONTROLLER; ?></h1>

<?php if (!$positions) { ?>
    <p><?php echo LANG_ROTATORBANNERS_POSITIONS_NONE; ?></p>
    <?php return; ?>
<?php } ?>

<div class="rotatorbanners-list">
    <?php foreach($positions as $position) { ?>
        <div class="item">
            <div class="details">
                <a href="<?php echo $this->href_to('position', $position['id']); ?>" class="title"><?php html($position['title']); ?></a>
                <div class="info">
                    
                </div>
            </div>
        </div>
    <?php } ?>
</div>